//  Programming Techniques
//  Lecture 2
//
//  Text file i/o demo

#include <iostream>
#include <fstream>

using namespace std;

int main()
{
    float n,m;
   
    // demonstrate file output
    
    ofstream outfile("text_file_io.txt");

    if (! outfile.is_open() ) {
        cout<<"\n*Error opening output file*\n";
        exit (1);
    }
    
    cout<<"\nEnter 99 to end file\n";
    
    do {
        cout<<"Enter an integer:";
        cin>>n;
        if (n!=99)                 // Last line of file should not be blank
            outfile<<n<<endl;
        else
            outfile<<n;           
            
//        outfile<<"  "<<n;        // Simpler method - no "if .." needed   
    }
    while (n!=99);
    
    outfile.close();
    

    // now test input from files...
    
    ifstream infile("text_file_io.txt");
    if (! infile.is_open() ) {
        cout<<"\n*Error opening input file*\n";
        exit (1);
    }
    
    while (! infile.eof() ) {
        infile>>m;
        cout<< m <<endl;
    }    
    
    infile.close();
    
    system("pause");
    return 0;
}        
